Skip to main content
GET
/
api
/
access-control
Lists all access control rules for the current tenant.
curl --request GET \
  --url https://{tenant}.ekso.app/api/access-control \
  --header 'Authorization: Bearer <token>'
[
  {
    "entity": "<string>",
    "accessControlId": "<string>",
    "area": "<string>",
    "role": 123,
    "userGroup": [
      "<string>"
    ],
    "isSystem": true,
    "tenantId": "<string>",
    "id": "<string>",
    "created": "2023-11-07T05:31:56Z",
    "createdBy": "<string>",
    "updated": "2023-11-07T05:31:56Z",
    "updatedBy": "<string>",
    "deleted": true
  }
]

Authorizations

Authorization
string
header
required

JWT Bearer token. Obtain via the OAuth 2.0 token endpoint.

Response

List of access control rules, or empty array if none exist.

entity
null | string
accessControlId
string
area
string
role
integer
userGroup
string[]
isSystem
boolean
tenantId
string
id
string
created
string<date-time>
createdBy
string
updated
string<date-time>
updatedBy
string
deleted
boolean